Bug 469396 - Review Request: xfsprogs - Utilities for managing the XFS filesystem
Review Request: xfsprogs - Utilities for managing the XFS filesystem
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Package Review (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Chris Feist
:
Depends On:
Blocks: 188273 469397
  Show dependency treegraph
 
Reported: 2008-10-31 12:32 EDT by Eric Sandeen
Modified: 2009-09-10 14:32 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:32:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sandeen 2008-10-31 12:32:29 EDT
Please see http://kojipkgs.fedoraproject.org/packages/xfsprogs/2.10.1/1.fc10/src/xfsprogs-2.10.1-1.fc10.src.rpm
the intention is to simply rebuild that for RHEL5.

Description:
A set of commands to use the XFS filesystem, including mkfs.xfs.

XFS is a high performance journaling filesystem which originated
on the SGI IRIX platform.  It is completely multi-threaded, can
support large files and large filesystems, extended attributes,
variable block sizes, is extent based, and makes extensive use of
Btrees (directories, extents, free space) to aid both performance
and scalability.

Refer to the documentation at http://oss.sgi.com/projects/xfs/
for complete details.  This implementation is on-disk compatible
with the IRIX version of XFS.
Comment 1 Peter Lemenkov 2008-11-01 06:15:12 EDT
Why you BR /usr/include/uuid/uuid.h instead of e2fsprogs-devel?
Comment 2 Eric Sandeen 2008-11-02 19:17:30 EST
Good point; that was present in the 1.1 version of the package way back when, and I never noticed.

-Eric
Comment 3 Chris Feist 2009-01-07 15:48:11 EST
I built this package on a 5.2 system and it builds.

Only a couple issues need to be resolved before I can approve it.

BuildRequires:  /usr/include/uuid/uuid.h

should be changed to:

BuildRequires:  e2fsprogs-devel

and rpmlint output:
xfsprogs.i386: W: unstripped-binary-or-object /lib/libhandle.so.1.0.3

otherwise I think everything else looks good.
Comment 4 Eric Sandeen 2009-01-07 15:56:18 EST
The BuildRequires issue is already fixed in rawhide.  I'll look into the stripped binary issue, thanks.

-Eric
Comment 5 Eric Sandeen 2009-01-07 18:02:32 EST
http://kojipkgs.fedoraproject.org/packages/xfsprogs/2.10.2/2.fc11/src/xfsprogs-2.10.2-2.fc11.src.rpm

should have both these issues fixed.

Thanks,
-Eric
Comment 6 Chris Feist 2009-01-09 17:38:02 EST
Verified that things look good.
Comment 8 Eric Sandeen 2009-09-10 09:48:25 EDT
Chris, I think this can be closed now yes?  Since we've shipped it and all... not sure who's job that is.
Comment 9 Chris Feist 2009-09-10 14:32:00 EDT
Closing since this has been released.

Note You need to log in before you can comment on or make changes to this bug.